Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class ParameterControls

    java.lang.Object
      org.jbehave.core.steps.ParameterControls

    public class ParameterControls

extends Object

Field Summary
`static String` | `DEFAULT_NAME_DELIMITER_LEFT`
`static String` | `DEFAULT_NAME_DELIMITER_RIGHT`

Constructor Summary
`ParameterControls()`
`ParameterControls(String nameDelimiterLeft, String nameDelimiterRight, boolean nameDelimitedParameters)`

Method Summary
`boolean` | `delimiterNamedParameters()`
`String` | `nameDelimiterLeft()`
`String` | `nameDelimiterRight()`
`String` | `toString()`
`ParameterControls` | `useDelimiterNamedParameters(boolean delimiterNamedParameters)`
`ParameterControls` | `useNameDelimiterLeft(String nameDelimiterLeft)`
`ParameterControls` | `useNameDelimiterRight(String nameDelimiterRight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_NAME_DELIMITER_LEFT

    public static final String DEFAULT_NAME_DELIMITER_LEFT

See Also:
  Constant Field Values

### DEFAULT_NAME_DELIMITER_RIGHT

    public static final String DEFAULT_NAME_DELIMITER_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### ParameterControls

    public ParameterControls()

### ParameterControls

    public ParameterControls(String nameDelimiterLeft,
                             String nameDelimiterRight,
                             boolean nameDelimitedParameters)

Method Detail

### nameDelimiterLeft

    public String nameDelimiterLeft()

### nameDelimiterRight

    public String nameDelimiterRight()

### delimiterNamedParameters

    public boolean delimiterNamedParameters()

### useNameDelimiterLeft

    public ParameterControls useNameDelimiterLeft(String nameDelimiterLeft)

### useNameDelimiterRight

    public ParameterControls useNameDelimiterRight(String nameDelimiterRight)

### useDelimiterNamedParameters

    public ParameterControls useDelimiterNamedParameters(boolean delimiterNamedParameters)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.